Skip to main content

Initiate a request to withdraw from your network accounts

POST 

/v1/defund

ISO-20022 pacs.009 message. Withdraw from an account on the RTGS.global network.

When withdrawing funds from your network account, the debtor fields of the request (FICdtTrf.CdtTrfTxInf[0].Dbtr and FICdtTrf.CdtTrfTxInf[0].DbtrAcct) pertain to your network account, and the creditor fields pertain to your off-network account.

TransferMate-specific behaviour

  • FICdtTrf.CdtTrfTxInf[0].DbtrAcct.Id must use Othr.Id — IBAN is not supported. The value must match ^TRM\d+$ (your TransferMate network account identifier, e.g. TRM123456).
  • FICdtTrf.CdtTrfTxInf[0].Cdtr.FinInstnId.Othr.Id is required and must be populated with the creditor alias ID registered via Party Management.
  • FICdtTrf.CdtTrfTxInf[0].IntrBkSttlmAmt.Value must not exceed 11 digits in total with a maximum of 2 decimal places.
  • FICdtTrf.CdtTrfTxInf[0].Dbtr.FinInstnId and FICdtTrf.CdtTrfTxInf[0].Cdtr.FinInstnId must each include exactly one of BICFI or LEI.

Request​

Responses​

Accepted